export const INITIAL_STATE = {
    queue: [],
};
export function NotificationsReducer(state = INITIAL_STATE, action) {
    switch (action.type) {
        case "CREATE": {
            const notification = {
                id: action.id,
                component: action.component,
                destroy: action.destroy,
            };
            return {
                ...state,
                queue: [...state.queue, notification],
            };
        }
        case "DESTROY": {
            return {
                ...state,
                queue: state.queue.filter((notification) => notification.id !== action.id),
            };
        }
        case "POP": {
            const [_, ...rest] = state.queue;
            return {
                ...state,
                queue: rest,
            };
        }
        default:
            return state;
    }
}
//# sourceMappingURL=NotificationsReducer.js.map