import * as React from "react";
import { createNotificationsProvider } from "./createNotificationsProvider";
const DEFAULT_CONTEXT = {
    create: () => {
        throw new Error("create cannot be used outside of a NotificationProvider");
    },
    destroy: () => {
        throw new Error("destroy cannot be used outside of a NotificationProvider");
    },
    pop: () => {
        throw new Error("pop cannot be used outside of a NotificationProvider");
    },
};
export function createScopedNotificationManager() {
    const notificationContext = React.createContext(DEFAULT_CONTEXT);
    return {
        NotificationsProvider: createNotificationsProvider(notificationContext),
        useNotificationManager: () => React.useContext(notificationContext),
    };
}
//# sourceMappingURL=createScopedNotificationsManager.js.map